summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-09-01 00:47:41 +0200
committerHolger Levsen <holger@layer-acht.org>2015-09-01 00:47:41 +0200
commit1d4f520fdc025343d6a068d86b3ed9531cdc8f21 (patch)
treeb69e8932165c9f159d6fbee711f3268a058f28b0
parent78ca2452fd4f8ed99f560f7f531dd201dabf8a8e (diff)
downloadjenkins.debian.net-1d4f520fdc025343d6a068d86b3ed9531cdc8f21.tar.xz
reproducible: dont make a build ftbfs if the node is outdated...
-rwxr-xr-xbin/reproducible_build.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 859285fe..5bf21dc8 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -538,7 +538,14 @@ build_rebuild() {
ls -R $TMPDIR
ssh -p $PORT1 $NODE1 "rm -r $TMPDIR"
fi
- if [ -f b1/${SRCPACKAGE}_${EVERSION}_${ARCH}.changes ] ; then
+ if [ ! -f b1/${SRCPACKAGE}_${EVERSION}_${ARCH}.changes ] && [ -f b1/${SRCPACKAGE}_*_${ARCH}.changes ] ; then
+ echo "Version mismatch between main node and first build node, aborting. Please upgrade the schroots..." | tee -a ${RBUILDLOG}
+ # this is wrong / not optimal but it should at least stop the false ftbfs...
+ FTBFS=0
+ calculate_build_duration
+ update_db_and_html "depwait"
+ exit 1
+ elif [ -f b1/${SRCPACKAGE}_${EVERSION}_${ARCH}.changes ] ; then
# the first build did not FTBFS, try rebuild it.
check_for_race_conditions
echo "============================================================================="